Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.advice
Class InterceptorFactoryWrapper

    java.lang.Object
      org.jboss.aop.advice.InterceptorFactoryWrapper

public class InterceptorFactoryWrapper
extends Object

Intermediate class wrapping an interceptor factory, so that generated advisors have all the information they need about the contained advices for generating the invokation methods, and we don't need to generate the interceptor chains until absolutely needed. Old skool class advisors do not use this class

Version:
  $Revision: 1.7 $
Author:
  Kabir Khan

Constructor Summary
`InterceptorFactoryWrapper(InterceptorFactory factory, GeneratedClassAdvisor advisor, Joinpoint joinpoint)`
`InterceptorFactoryWrapper(InterceptorFactory factory, GeneratedClassAdvisor advisor, Joinpoint joinpoint, String cflowString, ASTCFlowExpression cflowExpr)`

Method Summary
`Interceptor` | `create(Advisor advisor, Joinpoint joinpoint)`
`boolean` | `equals(Object obj)`
`String` | `getAdviceName()`
`AspectDefinition` | `getAspect()`
`Object` | `getAspect(Advisor advisor, Joinpoint joinpoint)` Create a new aspect instance to figure out what class it is Also used as a convenience method to create aspect instances for the JoinPointGenerator PER_INSTANCE or PER_JOINPOINT (for non-static fields) aspects cannot be created "properly" until at runtime, since that requires access to the instance advisor
`String` | `getAspectClassName()`
`ASTCFlowExpression` | `getCflowExpression()`
`String` | `getCFlowString()`
`InterceptorFactory` | `getDelegate()`
`String` | `getName()`
`Object` | `getPerInstanceAspect(Advisor advisor, Joinpoint joinpoint, InstanceAdvisor ia)`
`String` | `getRegisteredName()`
`Scope` | `getScope()`
`boolean` | `isAfter()`
`boolean` | `isAround()`
`boolean` | `isAspectFactory()`
`boolean` | `isBefore()`
`boolean` | `isInterceptor()`
`boolean` | `isThrowing()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterceptorFactoryWrapper

    public InterceptorFactoryWrapper(InterceptorFactory factory,
                                     GeneratedClassAdvisor advisor,
                                     Joinpoint joinpoint,
                                     String cflowString,
                                     ASTCFlowExpression cflowExpr)

### InterceptorFactoryWrapper

    public InterceptorFactoryWrapper(InterceptorFactory factory,
                                     GeneratedClassAdvisor advisor,
                                     Joinpoint joinpoint)

Method Detail

### create

    public Interceptor create(Advisor advisor,
                              Joinpoint joinpoint)

### getAspect

    public Object getAspect(Advisor advisor,
                            Joinpoint joinpoint)

  Create a new aspect instance to figure out what class it is Also used as a convenience method to create aspect instances for the JoinPointGenerator PER_INSTANCE or PER_JOINPOINT (for non-static fields) aspects cannot be created "properly" until at runtime, since that requires access to the instance advisor

### getPerInstanceAspect

    public Object getPerInstanceAspect(Advisor advisor,
                                       Joinpoint joinpoint,
                                       InstanceAdvisor ia)

### isAspectFactory

    public boolean isAspectFactory()

### getDelegate

    public InterceptorFactory getDelegate()

### getAspect

    public AspectDefinition getAspect()

### getName

    public String getName()

### getAspectClassName

    public String getAspectClassName()

### isBefore

    public boolean isBefore()

### isAfter

    public boolean isAfter()

### isThrowing

    public boolean isThrowing()

### isAround

    public boolean isAround()

### isInterceptor

    public boolean isInterceptor()

### getAdviceName

    public String getAdviceName()

### getScope

    public Scope getScope()

### getRegisteredName

    public String getRegisteredName()

### getCflowExpression

    public ASTCFlowExpression getCflowExpression()

### getCFlowString

    public String getCFlowString()

### equals

    public boolean equals(Object obj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.